#include <iostream>

using namespace std;
int main()

{

int A,B,C,D;
int E;

cout << "A=";
cin >> A;
cout << "B=";
cin >> B;
cout << "C=";
cin >> C;
cout << "D=";
cin >> D;
cout << "E=";
cin >> E;



if (A<B<C<D) (E=A*B);
if (B<C<D<A) (E=C*B);
if (C<D<A<B) (E=C*D);
if (D<A<B<C) (E=D*A);
if (A=B=C=D)  (E=A*B);

cout << E << endl;



cout << E << endl;





}
